//
//  DockCamStatus.h
//  DockCam
//
//  Created by Nicholas Riley on Thu Jun 27 2002.
//  Copyright (c) 2002 Nicholas Riley. All rights reserved.
//

#import <AppKit/AppKit.h>


@interface DockCamStatus : NSWindowController {
    IBOutlet NSForm *statusForm;
    IBOutlet NSFormCell *locationCell;
    IBOutlet NSFormCell *actualSize;
    IBOutlet NSFormCell *retrievedDate;
    IBOutlet NSFormCell *failedDate;
    IBOutlet NSFormCell *failedReason;
    IBOutlet NSFormCell *statusCell;
    IBOutlet id<NSMenuItem> showHideStatusItem;
}

- (void)setLocation:(NSURL *)aLocation;
- (void)setStatus:(NSString *)aStatus;
- (void)setRetrievedWithSize:(NSSize)size;
- (void)setFailedWithReason:(NSString *)reason;

@end
